Bug Hunting Session
Bug 125126 - Polar handle of OOXML preset shapes do not act as expected
Summary: Polar handle of OOXML preset shapes do not act as expected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL: https://wiki.documentfoundation.org/D...
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-05 15:54 UTC by Regina Henschel
Modified: 2019-05-24 22:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
All preset custom shapes with polar handles to test the behavior (32.04 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-05-05 15:54 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-05-05 15:54:47 UTC
Created attachment 151185 [details]
All preset custom shapes with polar handles to test the behavior

Open attached document. It was generated by SoftMaker 2016. The same error exists with documents generated by PowerPoint. It does not exist, if our own shapes are used.

The first three shapes ('arc', 'pie' and 'chord') should work correctly. They are included to make sure a patch will not introduce regressions.
The shape 'notEqual' has the error, that the top handle, which should alter the angle for the vertical bar, is not moveable.
The shapes 'noSmoking', 'donut' and 'blockArc' show the error, that the thickness of the shape outline changes in opposite direction as the handle movement.
The circular arrow shapes have a correct handle at the end. But the three handles at the arrow tip show jumping handles and outline changes in wrong direction.
Comment 1 Regina Henschel 2019-05-06 15:02:11 UTC
Waiting for review of https://gerrit.libreoffice.org/#/c/71831/.
Comment 2 Commit Notification 2019-05-09 20:32:33 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/332138fbfe4d40f6d871f1e6fa900de8e0f3116f%5E%21

tdf#125126 Use individual methods for polar handles in OOXML shapes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Regina Henschel 2019-05-13 13:42:53 UTC
The fix is included in Version: 6.3.0.0.alpha0+ (x64)
Build ID: ccf3a0600ee902390ad6112ecf28223078bdd2db
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-13_03:08:59
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded
Comment 4 Regina Henschel 2019-05-24 22:33:02 UTC
I have written an article in the Wiki, which contains some background information about the implementation. I have put the link to it into the URL field.